OpenShot Audio Library | OpenShotAudio: juce::MidiDeviceInfo Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::MidiDeviceInfo Struct Reference

`#include <juce_MidiDevices.h>`

## Public Member Functions
| MidiDeviceInfo (const String &deviceName, const String &deviceIdentifier)
auto | tie () const
bool | operator== (const MidiDeviceInfo &other) const noexcept
bool | operator!= (const MidiDeviceInfo &other) const noexcept

## Public Attributes
String | name
String | identifier

## Detailed Description

This struct contains information about a MIDI input or output device.

You can get one of these structs by calling the static getAvailableDevices() or getDefaultDevice() methods of MidiInput and MidiOutput or by calling getDeviceInfo() on an instance of these classes. Devices can be opened by passing the identifier to the openDevice() method.

Definition at line 117 of file juce_MidiDevices.h.

## Constructor & Destructor Documentation

## ◆ MidiDeviceInfo()

juce::MidiDeviceInfo::MidiDeviceInfo | ( | const String & | deviceName,
|  | const String & | deviceIdentifier )
| inline

Definition at line 121 of file juce_MidiDevices.h.

## Member Function Documentation

## ◆ operator!=()

bool juce::MidiDeviceInfo::operator!= | ( | const MidiDeviceInfo & | other | ) | const
| inlinenoexcept

Definition at line 147 of file juce_MidiDevices.h.

## ◆ operator==()

bool juce::MidiDeviceInfo::operator== | ( | const MidiDeviceInfo & | other | ) | const
| inlinenoexcept

Definition at line 146 of file juce_MidiDevices.h.

## ◆ tie()

auto juce::MidiDeviceInfo::tie | ( |  | ) | const
| inline

Definition at line 145 of file juce_MidiDevices.h.

## Member Data Documentation

## ◆ identifier

String juce::MidiDeviceInfo::identifier

The identifier for this device.

This will be provided by the OS and it's format will differ on different systems e.g. on macOS it will be a number whereas on Windows it will be a long alphanumeric string.

Definition at line 142 of file juce_MidiDevices.h.

Referenced by juce::AudioDeviceManager::setDefaultMidiOutputDevice().

## ◆ name

String juce::MidiDeviceInfo::name

The name of this device.

This will be provided by the OS unless the device has been created with the createNewDevice() method.

Note that the name is not guaranteed to be unique and two devices with the same name will be indistinguishable. If you want to address a specific device it is better to use the identifier.

Definition at line 135 of file juce_MidiDevices.h.

The documentation for this struct was generated from the following file:

- juce_MidiDevices.h